CreateListStatement
Keywords: uk.ac.ic.doc.automed.templates.wrapper.CreateListStatement,CreateListStatement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class CreateListStatement

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TStatement
            |
            +--uk.ac.ic.doc.automed.templates.wrapper.CreateListStatement

public class CreateListStatement
extends TStatement

Field Summary
`protected TemplateArgumentSequence` | `elementArgSeq`
`protected TemplateArgumentSequence` | `statementArgSeq`

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TStatement
`fromSchemaARG, self, statementType, toSchemaARG`

Constructor Summary
`CreateListStatement()`

Method Summary
`protected int` | `createExecutionStatement(int position, CompositeTransformation trans)`
`protected java.lang.String` | `getArgumentDescription(TStatementArgument sa)`
`TStatementArgument` | `getResult()`
`protected java.lang.String` | `getStatementDescription()`
`protected int` | `numberOfElements(TStatementArgument sa)`
`TStatementArgument` | `resultingSchema()`
`protected void` | `rollback()`
`void` | `setFromSchema(TArgument sch)`
`void` | `setList(TArgument[] array)`
`protected void` | `updateRepository()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statementArgSeq

    protected TemplateArgumentSequence statementArgSeq

### elementArgSeq

    protected TemplateArgumentSequence elementArgSeq

Constructor Detail

### CreateListStatement

    public CreateListStatement()
                        throws TemplateDefinitionException

Method Detail

### setList

    public void setList(TArgument[] array)
                 throws TemplateDefinitionException

    `TemplateDefinitionException`

### getResult

    public TStatementArgument getResult()

### setFromSchema

    public void setFromSchema(TArgument sch)
                       throws TemplateDefinitionException

  Specified by:
    `setFromSchema` in class `TStatement`
    `TemplateDefinitionException`

### resultingSchema

    public TStatementArgument resultingSchema()

  Specified by:
    `resultingSchema` in class `TStatement`

### getArgumentDescription

    protected java.lang.String getArgumentDescription(TStatementArgument sa)

  Specified by:
    `getArgumentDescription` in class `TStatement`

### numberOfElements

    protected int numberOfElements(TStatementArgument sa)

  Specified by:
    `numberOfElements` in class `TStatement`

### updateRepository

    protected void updateRepository()
                             throws TemplateDefinitionException

  Specified by:
    `updateRepository` in class `TStatement`
    `TemplateDefinitionException`

### createExecutionStatement

    protected int createExecutionStatement(int position,
                                           CompositeTransformation trans)
                                    throws TemplateDefinitionException

  Specified by:
    `createExecutionStatement` in class `TStatement`
    `TemplateDefinitionException`

### rollback

    protected void rollback()
                     throws TemplateDefinitionException

  Specified by:
    `rollback` in class `TStatement`
    `TemplateDefinitionException`

### getStatementDescription

    protected java.lang.String getStatementDescription()

  Specified by:
    `getStatementDescription` in class `TStatement`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD